Subject: Re: Interaction between clean/smudge and git status

From: Johannes Sixt <[email-masked]>
Date: Mon, 14 Apr 2008 08:48:28 +0200

Sergio Callegari schrieb:
> I have tried for the first time the .gitattributes filter option, setting a
> clean and a smudge filter for a certain type of files.
> 
> What makes me wonder is that using filters, after a clean checkout git status
> says that everything is changed.
...
> Is this the expected behaviour of the smudge filter?

I've observed this, too, and I don't think it is expected behavior. But it
hasn't annoyed me enough to look at it in depth. Eventually I will, and I
hope to find out what's wrong. ;)

-- Hannes